/// <reference types="node" />
import { Duplex } from 'stream';
import { ivm } from '..';
export declare function bufferToStream(buffer: Buffer): Duplex;
export declare function bufferToArrayBuffer(buffer: Buffer): ArrayBuffer | SharedArrayBuffer;
export declare function transferInto(buffer: Buffer | ArrayBuffer | TypedArray | null): ivm.Copy<ArrayBuffer> | null;
